Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 183462 - IllegalStateException: Too many org.netbeans.modules.ruby.railsprojects.ui.RailsLogicalViewProvider$RailsLogicalViewRootNode (3) in shared RequestProcessor; create your own
IllegalStateException: Too many org.netbeans.modules.ruby.railsprojects.ui.Ra...
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Rails
6.x
All All
: P3 (vote)
: 6.x
Assigned To: ehartmann
issues@ruby
EXCEPTIONS_REPORT
: NETFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-04 22:09 UTC by cforcey
Modified: 2010-04-07 04:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.01 KB, text/plain)
2010-04-04 22:09 UTC, cforcey
Details
Small patch (1.03 KB, patch)
2010-04-06 10:57 UTC, ehartmann
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cforcey 2010-04-04 22:09:20 UTC
Build: NetBeans IDE Dev (Build 201004040201)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.3-b01-101, Java(TM) SE Runtime Environment, 1.6.0_17-b04-248-10M3025
OS: Mac OS X

User Comments:
GUEST: Saving a yml file.

GUEST: launched netbeans app

GUEST: loaded up netbeans 201003290201

clicked on a ruby controller file

crash.

things visible right now:

project view
navigator
start page tab
a css file tab

watches, search results, output, tasks & exception reporter tab

GUEST: Reset properties of Rails project.

GUEST: clicked on a ruby on rails project in the projects tab, crash.

GUEST: Clicking to edit a yml file

GUEST: started up netbeans




Stacktrace: 
java.lang.IllegalStateException: Too many org.netbeans.modules.ruby.railsprojects.ui.RailsLogicalViewProvider$RailsLogicalViewRootNode (3) in shared RequestProcessor; create your own
   at org.openide.util.RequestProcessor$Task.schedule(RequestProcessor.java:1407)
   at org.netbeans.modules.ruby.railsprojects.ui.RailsLogicalViewProvider$RailsLogicalViewRootNode.annotationChanged(RailsLogicalViewProvider.java:326)
   at sun.reflect.GeneratedMethodAccessor32.invoke(GeneratedMethodAccessor32.java:0)
   at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
   at java.lang.reflect.Method.invoke(Method.java:597)
   at org.openide.util.WeakListenerImpl$ProxyListener.invoke(WeakListenerImpl.java:451)
Comment 1 cforcey 2010-04-04 22:09:25 UTC
Created attachment 96660 [details]
stacktrace
Comment 2 ehartmann 2010-04-06 09:37:33 UTC
I experienced this also.

Assign this bug to NetFIX, seems simple to fix, just need to add a RequestProcessor.

I will attach a patch soon.
Comment 3 ehartmann 2010-04-06 10:57:50 UTC
Created attachment 96755 [details]
Small patch
Comment 4 Erno Mononen 2010-04-06 12:03:55 UTC
Thanks Eric - the patch looks good, I've applied it in aae9e6846f94.
Comment 5 Quality Engineering 2010-04-07 04:41:05 UTC
Integrated into 'main-golden', will be available in build *201004070201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/aae9e6846f94
User: Erno Mononen <emononen@netbeans.org>
Log: #183462 - IllegalStateException: Too many org.netbeans.modules.ruby.railsprojects.ui.RailsLogicalViewProvider$RailsLogicalViewRootNode (3) in shared RequestProcessor; create your own
- patch by ehartmann


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo